| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOLink.ImageViewProvider Class Reference

Utility class to check and convert a View into an ImagevView. More...

Inheritance diagram for IOLink.ImageViewProvider:

## Public Member Functions
| ImageViewProvider (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (ImageViewProvider obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (ImageViewProvider obj)
static bool | IsImage (View view)
| Checks if a given View is an ImageView.
static ImageView | ToImage (View view)
| Extracts the ImageView interface from a given generic view.
static ImageView | ToReadOnly (ImageView image)
| Remove all capacities except READ to an ImageView. If given ImageView only has READ capacity, it is returned directly.
static ImageView | ToWriteOnly (ImageView image)
| Remove all capacities except WRITE to an ImageView. If given ImageView only has WRITE capacity, it is returned directly.

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Utility class to check and convert a View into an ImagevView.

## Member Function Documentation

## ◆ ToImage()

static ImageView IOLink.ImageViewProvider.ToImage | ( | View | view | ) |
| inline static

Extracts the ImageView interface from a given generic view.

If the given view is not an ImageView, this method will return null.

## ◆ ToReadOnly()

static ImageView IOLink.ImageViewProvider.ToReadOnly | ( | ImageView | image | ) |
| inline static

Remove all capacities except READ to an ImageView. If given ImageView only has READ capacity, it is returned directly.

Parameters

  image | ImageView for which we want to only have READ capacity

Returns
  an ImageView with only READ capacity

## ◆ ToWriteOnly()

static ImageView IOLink.ImageViewProvider.ToWriteOnly | ( | ImageView | image | ) |
| inline static

Remove all capacities except WRITE to an ImageView. If given ImageView only has WRITE capacity, it is returned directly.

Parameters

  image | ImageView for which we want to only have WRITE capacity

Returns
  an ImageView with only WRITE capacity

The documentation for this class was generated from the following file:

- Release/net/generated/ImageViewProvider.cs